Bug 20476 - [QT3TS] fn-map-pairs-011 et al
Summary: [QT3TS] fn-map-pairs-011 et al
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite (show other bugs)
Version: Last Call drafts
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: Tim Mills
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-21 15:09 UTC by Michael Kay
Modified: 2013-03-14 13:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2012-12-21 15:09:35 UTC
A number of tests in the fn-map-pairs test set follow a pattern like this:

fn:map-pairs( (fn:concat#2, fn:concat#2), (), () )

Since the implementation can determine when the second or third arguments are statically empty that the result will always be empty, there is no obligation to detect the type error in the first argument. I suggest replacing the second and third arguments with non-empty sequences. Meanwhile I shall add () as an acceptable result.
Comment 1 O'Neil Delpratt 2013-01-02 16:57:02 UTC
I am assigning this one to Tim to comment.
Comment 2 Tim Mills 2013-03-14 13:09:46 UTC
I've added new tests to cover this.

Please mark as CLOSED if you agree with the resolution.  Otherwise, REOPEN.